package fr.username404.snowygui.gui.feature

import net.minecraft.client.Minecraft
import kotlinx.serialization.*
import fr.username404.snowygui.gui.feature.ButtonInfo.Companion.Type

@Serializable
@ButtonInfo(Category.MACROS, kind = Type.CLICK)
data class Macro(
    private val command: String,
    override val title: String = command
): ButtonImpl() {
    override fun execAction() = Minecraft.getInstance().player!!.chat("/$command")
}